/*
 * key.h
 *
 *  Created on: 2022~1219
 *      Author: dragonfling
 */

#ifndef USER_BSP_KEY_H_
#define USER_BSP_KEY_H_

#include "stdio.h"
#include "ch32v30x.h"
#include "debug.h"

#define KEY1_Port  GPIOE
#define KEY1_Pin   GPIO_Pin_3
#define KEY1_CLK   RCC_APB2Periph_GPIOE

#define KEY2_Port  GPIOE
#define KEY2_Pin   GPIO_Pin_4
#define KEY2_CLK   RCC_APB2Periph_GPIOE

#define Key1   GPIO_ReadInputDataBit(KEY1_Port,KEY1_Pin)
#define Key2   GPIO_ReadInputDataBit(KEY2_Port,KEY2_Pin)


#define Key1_Press  1
#define Key2_Press  2
void Key_GPIO_Config(void);
uint8_t Key_Scan(uint8_t mode);

#endif /* USER_BSP_KEY_H_ */
