/*
 * key.c
 *
 *  Created on: 2022~1219
 *      Author: dragonfling
 */
#include "key.h"

void Key_GPIO_Config(void)
{
    GPIO_InitTypeDef GPIO_InitStructure;

    RCC_APB2PeriphClockCmd(KEY1_CLK|KEY2_CLK, ENABLE);

    GPIO_InitStructure.GPIO_Pin = KEY1_Pin;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU;
    GPIO_Init(KEY1_Port,&GPIO_InitStructure);


    GPIO_InitStructure.GPIO_Pin = KEY2_Pin;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU;
    GPIO_Init(KEY2_Port,&GPIO_InitStructure);

}

uint8_t Key_Scan(uint8_t mode)
{
    static u8 key_up = 1;
    if(mode)key_up = 1;
    if(key_up&&(Key1||Key2))
    {
        Delay_Ms(10);
        key_up = 0;
        if(Key1 == 0)return Key1_Press;
        else if (Key2 == 0)return Key2_Press;
    }
    else if(Key1 == 1&& Key2 == 1)key_up = 1;
    return 0;
}
